Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.plumtree.remote.ServiceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AccessDeniedException, AccountExpiredException, AccountLockedException, CustomAuthenticationFailureException, CustomServiceFailureException, GeneralFailureException, InvalidConfigurationException, InvalidUsernameOrPasswordException, NoLongerExistsException, NoSuchUserException, NotAvailableException, NotInitializedException, PasswordExpiredException, PasswordMustChangeException, RemoteServerUnavailableException, RemoteServerUnreachableException, SearchException, ValidationException

public class ServiceException
extends java.lang.Exception

Base class for exceptions. ServiceExceptions are returned to the portal as SOAP Faults, except by subclasses that return a status code. These subclasses include: `AccessDeniedException, AccountExpiredException, AccountLockedException, CustomAuthenticationFailureException,` `CustomServiceFailureException, GeneralFailureException, InvalidConfigurationException,` `InvalidUsernameOrPasswordException, NoLongerExistsException, NoSuchUserException,` `NotAvailableException, NotInitializedException, PasswordExpiredException,` `PasswordMustChangeException, RemoteServerUnavailableException, RemoteServerUnreachableException,` `ValidationException`, and `SearchException`.

See Also:
  Serialized Form

Constructor Summary
`ServiceException()` Default constructor.
`ServiceException(java.lang.Exception e)` Valued constructor.
`ServiceException(int statusCode)` Valued constructor.
`ServiceException(java.lang.String message)` Valued constructor.
`ServiceException(java.lang.String message, java.lang.Exception e)` Valued constructor.
`ServiceException(java.lang.String message, int statusCode)` Valued constructor.

Method Summary
`java.lang.Exception` | `getInnerException()` Gets the internal exception.
`java.lang.String` | `getMessage()` Gets the associated message.
`java.lang.String` | `getStackTraceAsString()` Returns the stack trace of the exception and any internal exception as a string.
`int` | `getStatusCode()` Gets the associated status code.
`void` | `printStackTrace()` Prints the stack trace of the exception and any internal exception to the console.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    public ServiceException()

  Default constructor.

### ServiceException

    public ServiceException(java.lang.String message)

  Valued constructor.

Parameters:
  `message` - the string to display in the error message

### ServiceException

    public ServiceException(java.lang.String message,
                            int statusCode)

  Valued constructor.

Parameters:
  `message` - the string to display in the error message
  `statusCode` - status (error) code

### ServiceException

    public ServiceException(int statusCode)

  Valued constructor.

Parameters:
  `statusCode` - the status (error) code

### ServiceException

    public ServiceException(java.lang.Exception e)

  Valued constructor.

Parameters:
  `e` - the exception to rethrow

### ServiceException

    public ServiceException(java.lang.String message,
                            java.lang.Exception e)

  Valued constructor.

Parameters:
  `message` - the string to display in the error message
  `e` - the exception to rethrow

Method Detail

### getStatusCode

    public int getStatusCode()

  Gets the associated status code.

### getMessage

    public java.lang.String getMessage()

  Gets the associated message.

### getInnerException

    public java.lang.Exception getInnerException()

  Gets the internal exception.

  Returns:
    innerException the internal exception or null if none exists

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of the exception and any internal exception to the console.

### getStackTraceAsString

    public java.lang.String getStackTraceAsString()

  Returns the stack trace of the exception and any internal exception as a string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.